# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-XML-SAX-Expat
Summary:	SAX2 Driver for Expat (XML::Parser)
Version:	0.51
Release:	5.%{__distinit}%{__distvers}
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/dist/XML-SAX-Expat
Source0:	http://search.cpan.org/CPAN/authors/id/B/BJ/BJOERN/XML-SAX-Expat-%{version}.tar.gz 
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	sed
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(XML::NamespaceSupport) >= 0.03
BuildRequires:	perl(XML::Parser) >= 2.27
BuildRequires:	perl(XML::SAX) >= 0.03
BuildRequires:	perl(XML::SAX::Base) >= 1.00
# Test Suite
BuildRequires:	perl(Test::More)
BuildRequires:	perl(warnings)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(perl -MConfig -e 'print $Config{version}'))
%endif

%description
This is an implementation of a SAX2 driver sitting on top of Expat
(XML::Parser), which Ken MacLeod posted to perl-xml and has since been updated.

It is still incomplete, though most of the basic SAX2 events should be
available.

%prep
%setup -q -n XML-SAX-Expat-%{version}

# Fix up line endings
sed -i -e 's/\r$//' Changes Expat.pm README eg/counter.pl

# Fix up permissions
chmod -c -x Changes Expat.pm README

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%triggerin -- perl-XML-SAX
perl -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::Expat))->saveparsers()" 2>/dev/null || :

%preun
if [ $1 -eq 0 ] ; then
	perl -MXML::SAX -e "XML::SAX->remove_parser(q(XML::SAX::Expat))->saveparsers()" 2>/dev/null || :
fi

%files
%doc Changes README eg/
%{perl_vendorlib}/XML/
%{_mandir}/man3/XML::SAX::Expat.3*

%changelog
* Wed Mar 29 2023 Paul Howarth <paul@city-fan.org> - 0.51-5
- Switch upstream from search.cpan.org to metacpan.org
- Use SPDX-format license tag
- Drop support for building with rpm < 4.9

* Thu Mar 29 2018 Paul Howarth <paul@city-fan.org> - 0.51-4
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Mon Oct 17 2016 Paul Howarth <paul@city-fan.org> - 0.51-3
- Classify buildreqs by usage
- Simplify find command using -delete

* Mon Sep  1 2014 Paul Howarth <paul@city-fan.org> - 0.51-2
- Drop %%defattr, redundant since rpm 4.4

* Tue Jan 21 2014 Paul Howarth <paul@city-fan.org> - 0.51-1
- Update to 0.51
  - Re-release to try to fix tarball issues (CPAN RT#86087, CPAN RT#88638)
- Remove spurious exec permissions on files

* Fri Jul 19 2013 Paul Howarth <paul@city-fan.org> - 0.50-2
- Perl 5.18 rebuild

* Thu May 23 2013 Paul Howarth <paul@city-fan.org> - 0.50-1
- Update to 0.50
  - Fixed broken link to SAX2 specification in POD
  - Added repository information to Makefile.PL
  - Added README file to satisfy packaging guidelines
- No longer need to fix file permissions
- Package upstream's new README file

* Thu Jun 21 2012 Paul Howarth <paul@city-fan.org> - 0.40-2
- Register/unregister parser with XML::SAX on install/removal

* Wed Jun 20 2012 Paul Howarth <paul@city-fan.org> - 0.40-1
- Initial RPM version
